comedi_dio_read
Prev | 5.4.4. Digital I/O | Next

## Name

comedi_dio_read — read single bit from digital channel

## Synopsis

    #include <comedilib.h>

`int comedi_dio_read(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int * bit`)`;

## Description

The function `comedi_dio_read` reads the channel `channel` belonging to the subdevice `subdevice` of device `device`. The data value that is read is stored in the `*`bit``. This function is equivalent to:

    comedi_data_read(device, subdevice, channel, 0, 0, bit);

This function does not require a digital subdevice or a subdevice with a maximum data value of 1 to work properly.

If you wish to read multiple digital channels at once, it is more efficient to use `comedi_dio_bitfield2` than to call this function multiple times.

## Return value

Return values and errors are the same as `comedi_data_read`.

Prev | Up | Next
comedi_dio_get_config | Home | comedi_dio_write